# Performance Issues

There are many factors and variables that come into play and might be the cause when experiencing slow loading times. Here are a few things to look into before starting to look into the code:

### Application Server

1. Review the `/etc/httpd/conf.d/000-elentra.conf` file and ensure that the MaxRequestWorkers and ServerLimit is 512. (this is step 24 in <https://docs.elentra.org/technical/administrators/application-server>)

### Database Server

1. Enable Slow Query Log and check the log for issues with queries taking too long <https://mariadb.com/kb/en/slow-query-log-overview/>
2. Ensure your version of MySQL or MariaDB is supported
3. Check the size of your `elentra_me` database. As the database gets larger, queries will take longer to execute and might need to be optimized
4. Ensure that your MariaDB/MySQL in `/etc/my.cnf.d/elentra.cnf` configuration matches the suggestions in the documentations here: <https://docs.elentra.org/technical/administrators/database-server>
5. The `innodb_buffer_pool_size` should be as big as the size of the `elentra_me` database. *Example: If your database is 6GB and you have enough memory on the database server, it should be 6GB as well, providing you have enough RAM*&#x20;
6. Ensure `table_open_cache` is set to 4000
7. Ensure `table_definition_cache` is set to 1800
8. Set `max_connections` to 512 (if it's currently commented out)
9. Set `vm.swappiness` to 1 on your database server: `sudo sysctl -w vm.swappiness=1`&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/technical/developers/troubleshooting/performance-issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
